> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suave.money/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhooks

> Retrieve a list of all webhook subscriptions configured for your vendor. 
Use the `env_mode` query parameter to specify the environment.




## OpenAPI

````yaml GET /api/v1/webhook_subscription
openapi: 3.0.0
info:
  title: Suave API
  version: 0.0.1
servers:
  - url: https://checkout.suave.money
security: []
paths:
  /api/v1/webhook_subscription:
    get:
      summary: Get Payment Webhooks
      description: >
        Retrieve a list of all webhook subscriptions configured for your
        vendor. 

        Use the `env_mode` query parameter to specify the environment.
      parameters:
        - name: env_mode
          in: query
          description: >-
            To retrieve webhook subscriptions in test mode, set this to `test`.
            For production webhook subscriptions, set it to `live`. Defaults to
            `live` if not specified.
          schema:
            type: string
            enum:
              - test
              - live
            default: live
      responses:
        '200':
          description: A list of all webhooks configured for your vendor.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      List of registered webhook endpoint in test mode for
                      suave.
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        webhook_id:
                          type: string
                          description: The webhook ID.
                          example: ep_2k4BeuMt3z4JZJyRPrJmCHbXBty
                        webhook_url:
                          type: string
                          description: The webhook URL.
                          example: webhook endpoint url
                        env_mode:
                          type: string
                          enum:
                            - test
                            - live
                          example: live
                        created_at:
                          type: string
                          format: date-time
                          description: The timestamp when the webhook was created.
                          example: '2024-08-01T17:24:26.899Z'
                        updated_at:
                          type: string
                          format: date-time
                          description: The timestamp when the webhook was last updated.
                          example: '2024-08-01T17:24:26.899Z'

````